export default function useSideBar(): {
    t: any;
    isSidebarOpen: import('vue').Ref<boolean, boolean>;
    title: import('vue').ComputedRef<string>;
    sidebarName: import('vue').Ref<"" | "chat" | "invite" | "manage-member" | "more" | "transfer-leave" | "apply", "" | "chat" | "invite" | "manage-member" | "more" | "transfer-leave" | "apply">;
    handleClose: (done: any) => void;
    showSideBar: import('vue').ComputedRef<boolean>;
};
